org.eclipse.lyo.core.trs

## Class TrackedResourceSet

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource
  - - org.eclipse.lyo.core.trs.TrackedResourceSet

- All Implemented Interfaces:
    IExtendedResource, IResource

      @OslcNamespace(value="http://open-services.net/ns/core/trs#")
      @OslcResourceShape(title="Tracked Resource Set Shape",
                         describes="http://open-services.net/ns/core/trs#TrackedResourceSet")
      public class TrackedResourceSet
      extends AbstractResource

  An HTTP GET on a Tracked Resource Set URI returns a representation structured as follows (note: for exposition, the example snippets show the RDF information content using Turtle; the actual representation of these resources "on the wire" may vary):

      # Resource: http://cm1.example.com/trackedResourceSet
      @prefix trs: <http://open-services.net/ns/core/trs#> .

      <http://cm1.example.com/trackedResourceSet>
        a trs:TrackedResourceSet ;
        trs:base <http://cm1.example.com/baseResources> ;
        trs:changeLog [
              a trs:ChangeLog ;
              trs:changes	 ...  .
        ] .

  A Tracked Resource Set MUST provide references to the Base and Change Log using the trs:base and trs:changeLog predicates respectively. A typical Client will periodically poll the Tracked Resource Set looking for recent Change Events. In order to cater to this usage, the Tracked Resource Set's HTTP response MUST contain the triples for the referenced Change Log (i.e., via a Blank Node, or an inline named Resource).

  The Server SHOULD also support etags, caching, and conditional GETs for Tracked Resource Set resources and relegate the Base to separate resources. Tracked Resource Set with non-empty change log

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrackedResourceSet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `getBase()`
    `AbstractChangeLog` | `getChangeLog()`
    `void` | `setBase(URI base)`
    `void` | `setChangeLog(AbstractChangeLog changeLog)`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource

      `addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrackedResourceSet

          public TrackedResourceSet()

  - ### Method Detail

    - #### getChangeLog

          @OslcName(value="changeLog")
          @OslcDescription(value="A Change Log providing a time series of incremental adjustments to the Resource Set.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core/trs#changeLog")
          @OslcTitle(value="Change Log")
          public AbstractChangeLog getChangeLog()

      Returns:
        the changeLog

    - #### setChangeLog

          public void setChangeLog(AbstractChangeLog changeLog)
                            throws URISyntaxException

      Parameters:
        `changeLog` - the changeLog to set
      Throws:
        `URISyntaxException`

    - #### getBase

          @OslcName(value="base")
          @OslcDescription(value="An enumeration of the Resources in the Resource Set.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core/trs#base")
          @OslcTitle(value="Base")
          public URI getBase()

      Returns:
        the base

    - #### setBase

          public void setBase(URI base)

      Parameters:
        `base` - the base to set

Copyright © 2016. All rights reserved.